#
# spec file for package fakechroot
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fakechroot
Version:        2.19
Release:        1.1
Summary:        Gives a fake chroot environment
License:        LGPL-2.1
Group:          Development/Tools/Building
Url:            https://github.com/dex4er/fakechroot/wiki
Source0:        https://github.com/dex4er/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

%description
fakechroot runs a command in an environment where it is possible to use the
chroot(8) command without root privileges. This is useful for allowing users to
create own chrooted environments with the possibility to install other packages
without the need for root privileges.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%check
make %{?_smp_mflags} check

%install
%make_install

%files
%doc COPYING LICENSE NEWS.md README.md THANKS.md
%doc scripts/restoremode.sh scripts/savemode.sh
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/%{name}
%{_mandir}/man?/*

%changelog
* Thu Dec 28 2017 jengelh@inai.de
- Fix language errors in description.
* Sat Jan 14 2017 munix9@googlemail.com
- update to version 2.19
  * The FAKECHROOT_EXCLUDE_PATH list has to contain at most 100
    elements.
  * The env(1) wrapper works with dash.
  * The fakeroot(1) works if chroot(8) is invoked twice.
  * Fixes were made for chdir(2). It was possible to change to a
    directory outside of fakechroot.
  * The fakechroot(1) command sets FAKECHROOT_CMD_ORIG environment
    variable for wrapped command.
  * The ldd(1) wrapper distinguishes different paths with the same
    beginning.
  * The ldd(1) wrapper does not fail if the path is not existing
    outside fakechroot.
  * Can be compiled with clang 4.0.
* Sun Feb  7 2016 munix9@googlemail.com
- update to version 2.18
  * The fakechroot(1) command accepts new option --bindir.
  * The chfn(1) command runs correctly on Ubuntu vidid and Debian stretch.
  * The env(1) wrapper works correctly if there is variable with multilined content.
  * New functions ldaddr(3) and dl_iterate_phdr(3) were added.
    The dlopen(3) function was fixed.
    The java(1) command should work correctly.
  * New functions posix_spawn(3) and posix_spawnp(3) were added.
    Some new applications like clang(1) should run properly.
  * Fixes were made for lstat(2) and lstat64(2) functions.
    The ending slash is not removed by normalization of a path name.
  * Fixes were made for readlink(2) function.
    The fakechroot(1) command runs properly with libjemalloc library.
  * The tilde ~ character in FAKECHROOT_* variables is not expanded anymore.
  * Fixes were made for getpeeraddr(3) and getsockaddr(3) functions.
* Fri Dec  5 2014 munix9@googlemail.com
- initial package for version 2.17.2
